Bug 229291 - Review Request: thinkfinger - A driver for the UPEK/SGS Thomson Microelectronics fingerprint reader
Review Request: thinkfinger - A driver for the UPEK/SGS Thomson Microelectron...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-02-19 18:16 EST by Julian Sikorski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-21 18:47:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Julian Sikorski 2007-02-19 18:16:07 EST
Spec URL: http://www.republika.pl/belegdol/rpmstuff/thinkfinger.spec
SRPM URL: http://www.republika.pl/belegdol/rpmstuff/thinkfinger-0.2.2-1.src.rpm
Description: ThinkFinger is a driver for the UPEK/SGS Thomson Microelectronics fingerprint reader (USB ID 0483:2016). The device is being found either as a standalone USB device, built into USB keyboards or built into laptops.

Package builds fine in mock (devel/x86_64) and rpmlint is silent.
Comment 1 Michał Bentkowski 2007-02-19 18:23:18 EST
> #strip things that don't get stripped automatically
> strip $RPM_BUILD_ROOT/%{_lib}/security/pam_thinkfinger.so ||:

It seems that it's not stripped automagically because of wrong permissions of
pam_thinkfinger.so.
Do chmod +x $RPM_BUILD_ROOT/%{_lib}/security/pam_thinkfinger.so and rpm should
strip it then.
Comment 2 Kevin Fenzi 2007-02-19 18:27:22 EST
I'd be happy to review this a bit later. My primary machine is a thinkpad with a
fingerprint reader, so I should be able to test it as well. 

Could you perhaps put up an updated release with the issue in comment #1 addressed?

Comment 4 Michał Bentkowski 2007-02-19 18:46:08 EST
I'll put my oar in once again.
There's "Requires: libusb" in libthinkfinger.pc file. It means that you ought to
add libusb-devel dependency to devel subpackage.
Comment 5 Julian Sikorski 2007-02-19 19:16:25 EST
Damn. I always forget about that.

Spec URL: http://www.republika.pl/belegdol/rpmstuff/thinkfinger.spec
SRPM URL: http://www.republika.pl/belegdol/rpmstuff/thinkfinger-0.2.2-3.src.rpm
Comment 6 Kevin Fenzi 2007-02-19 21:49:45 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
82c3b74c369fc231379d48af9e8ff851  thinkfinger-0.2.2.tar.gz
82c3b74c369fc231379d48af9e8ff851  thinkfinger-0.2.2.tar.gz.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Headers/static libs in -devel subpackage.
OK - Spec has needed ldconfig in post and postun
OK - .pc files in -devel subpackage/requires pkgconfig
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}
OK - .la files are removed.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have subpackages require base package with fully versioned depend.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Minor: The Source URL doesn't seem to work here...
http://downloads.sourceforge.net/thinkfinger/thinkfinger-0.2.2.tar.gz
does seem to work. Not sure if that will work everywhere given sourceforge.

2. Would it be worth filing a RFE against pam to include the line
needed in /etc/pam.d/system-auth? It should ignore it if the module isn't available
I think, and will only work for users that setup a fingerprint.
Perhaps something to think about when this package is more mature.

Works great for me here on a fc6 laptop.   

I don't see any blockers here... you can change the source URL if you like
when you check it in, or leave it as is.

This package is APPROVED.

Don't forget to close this package review request NEXTRELEASE once it's
been imported and built. See:
http://www.fedoraproject.org/wiki/CVSAdminProcedure
for new package import procedures.
Comment 7 Julian Sikorski 2007-02-20 04:35:21 EST
New Package CVS Request
=======================
Package Name: thinkfinger
Short Description: A driver for the UPEK/SGS Thomson Microelectronics
fingerprint reader
Owners: belegdol@gmail.com
Branches: FC-6 FC-5
InitialCC:
Comment 8 Julian Sikorski 2007-02-20 13:59:25 EST
Can I import it now, or shall I wait until rawhide defrosts?
Comment 9 Kevin Fenzi 2007-02-20 14:31:28 EST
I think you can go ahead and import and build as normal. 
Comment 10 Julian Sikorski 2007-02-20 14:34:08 EST
Ok, package imported and tagged. Building will have to wait till tomorrow, I
presume, as I'm behind a proxy and plague does not work for me. I'll go to
internet cafe and do it from there.
Comment 11 Julian Sikorski 2007-04-27 14:32:49 EDT
Package Change Request
======================
Package Name: thinkfinger
Updated Fedora Owners: belegdol@gmail.com, jplans@redhat.com

Note You need to log in before you can comment on or make changes to this bug.